Bug 471429 - Review Request: perl-Catalyst-Engine-Apache - Catalyst Apache Engines
Review Request: perl-Catalyst-Engine-Apache - Catalyst Apache Engines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 12:36 EST by Iain Arnell
Modified: 2008-12-06 23:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 01:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-13 12:36:37 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Catalyst-Engine-Apache.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Catalyst-Engine-Apache-1.12-2.fc9.src.rpm
Description: These classes provide mod_perl support for Catalyst.
Comment 1 Iain Arnell 2008-11-13 12:44:04 EST
Another one from the Task::Catalyst list.

There should be nothing too surprising here. t/03podcoverage.t is skipped because the test fails; and the MP13 and MP19 modules are removed because we don't have the corresponding apache httpd versions.
Comment 2 Chris Weyl 2008-11-13 14:41:32 EST
Everything looks good.

I note that the author has a rather decent test suite, but has not chosen to enable it, for whatever reason.  (Makefile.PL explicitly specifies the tests as being only 't/0*.t'.)  They all pass when I run them independently (with minor patches to change 01use.t to 02pod.t), but as upstream has them disabled, it's not a blocker.  (I would suggest filing a bug upstream, asking if this is intentional, however.)

http://koji.fedoraproject.org/koji/taskinfo?taskID=931745

Spec looks sane, clean and consistent; license is correct (perl); make test passes cleanly.

00d89cac86ed977428468433389f4c6e  Catalyst-Engine-Apache-1.12.tar.gz
00d89cac86ed977428468433389f4c6e  Catalyst-Engine-Apache-1.12.tar.gz.srpm

=====> perl-Catalyst-Engine-Apache-1.12-2.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Catalyst-Engine-Apache-1.12-2.fc9.noarch.rpm
perl(Catalyst::Engine::Apache) = 1.12
perl(Catalyst::Engine::Apache2)  
perl(Catalyst::Engine::Apache2::MP20)  
perl-Catalyst-Engine-Apache = 1.12-2.fc9
====> requires for perl-Catalyst-Engine-Apache-1.12-2.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(APR::Table)  
perl(Apache2::Connection)  
perl(Apache2::Const)  
perl(Apache2::RequestIO)  
perl(Apache2::RequestRec)  
perl(Apache2::RequestUtil)  
perl(Apache2::Response)  
perl(Apache2::URI)  
perl(Catalyst::Runtime)  
perl(File::Spec)  
perl(URI)  
perl(URI::http)  
perl(URI::https)  
perl(base)  
perl(constant)  
perl(strict)  
perl(warnings) 

APPROVED
Comment 3 Iain Arnell 2008-11-15 04:36:02 EST
That rather decent test suite is from Catalyst::Runtime. Proving t/live_*.t just tests Catalyst itself. The scripts in t/optional set things up to really test Engine::Apache, but anything that tests redirection is failing for me (looks like a problem with LWP - even though Catalyst::Test sets things up with LWP::UserAgent->new(max_redirect => 0), LWP still follows the first redirect automatically). 

Will go ahead with the package as is and enable additional tests later when I can get them to work.
Comment 4 Iain Arnell 2008-11-15 04:39:16 EST
New Package CVS Request
=======================
Package Name: perl-Catalyst-Engine-Apache
Short Description: Catalyst Apache Engines
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-11-16 15:04:05 EST
cvs done.
Comment 6 Fedora Update System 2008-11-17 12:52:36 EST
perl-Catalyst-Engine-Apache-1.12-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-Engine-Apache-1.12-2.fc10
Comment 7 Fedora Update System 2008-11-17 12:52:39 EST
perl-Catalyst-Engine-Apache-1.12-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Catalyst-Engine-Apache-1.12-2.fc9
Comment 8 Fedora Update System 2008-11-19 09:53:07 EST
perl-Catalyst-Engine-Apache-1.12-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Engine-Apache'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9755
Comment 9 Fedora Update System 2008-11-22 11:57:35 EST
perl-Catalyst-Engine-Apache-1.12-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Engine-Apache'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 10 Fedora Update System 2008-12-06 23:20:20 EST
perl-Catalyst-Engine-Apache-1.12-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-06 23:32:40 EST
perl-Catalyst-Engine-Apache-1.12-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.